AUTOMAKE_OPTIONS = foreign 1.5

include admin/deps.am

COMPILE_FIRST = libkmldonkey

EXTRA_DIST = admin COPYING configure.in.in

DOXYGEN_EXCLUDE = kmldonkey applet kcmdonkey kio_mldonkey scripts icons
include $(top_srcdir)/admin/Doxyfile.am

messages: rc.cpp
	RCLIST=`find . -name \*.ui -o -name \*.rc`; \
	if test -n "$$RCLIST"; then \
		$(EXTRACTRC) $$RCLIST > rc.cpp; \
	fi; \
	LIST=`find . -name \*.h -o -name \*.hh -o -name \*.H -o -name \*.hxx -o -name \*.hpp -o -name \*.cpp -o -name \*.cc -o -name \*.cxx -o -name \*.ecpp -o -name \*.C`; \
	if test -n "$$LIST"; then \
		$(XGETTEXT) $$LIST -o $(podir)/kmldonkey.pot; \
	fi
SUBDIRS=$(TOPSUBDIRS)
